cascading.flow

## Class FlowSkipIfSinkNotStale

- java.lang.Object
- - cascading.flow.FlowSkipIfSinkNotStale

All Implemented Interfaces:
  FlowSkipStrategy

    public class FlowSkipIfSinkNotStale
    extends java.lang.Object
    implements FlowSkipStrategy

Class FlowSkipIfSinkNotStale is a `FlowSkipStrategy` implementation that returns `true` if the Flow sink exists and is not stale in relation to the Flow sources.

This is the default Cascading strategy.

See Also:
  `FlowSkipIfSinkExists`

### Constructor Summary

Constructors
Constructor and Description
`FlowSkipIfSinkNotStale()`

### Method Summary

Methods
`boolean` `skipFlow(Flow flow)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FlowSkipIfSinkNotStale

    public FlowSkipIfSinkNotStale()

### Method Detail

#### skipFlow

    public boolean skipFlow(Flow flow)
                     throws java.io.IOException

Specified by:
  `skipFlow` in interface `FlowSkipStrategy`
Throws:
  `java.io.IOException`